Name:             stax2-api
Version:          4.2.1
Release:          %mkrel 3
Group:            Development/Java
Summary:          Experimental API extending basic StAX implementation
License:          BSD

URL:              https://github.com/FasterXML/stax2-api
Source0:          %{url}/archive/%{name}-%{version}.tar.gz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(com.fasterxml:oss-parent:pom:)
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)

%description
StAX2 is an experimental API that is intended to extend
basic StAX specifications in a way that allows implementations
to experiment with features before they end up in the actual
StAX specification (if they do). As such, it is intended
to be freely implementable by all StAX implementations same way
as StAX, but without going through a formal JCP process.

%package          javadoc
Summary:          API documentation for %{name}

%description      javadoc
This package contains the API documentation for %{name}.

%prep
%autosetup -n %{name}-%{name}-%{version}

%pom_xpath_remove pom:Import-Package

# javadoc generation fails due to strict doclint in JDK 8
%pom_remove_plugin :maven-javadoc-plugin
%pom_remove_plugin :moditect-maven-plugin

%build
%mvn_file :%{name} %{name}
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc README.md

%files javadoc -f .mfiles-javadoc



%changelog
* Mon May 27 2024 ns80 <ns80> 4.2.1-3.mga10
+ Revision: 2068122
- rebuild for java 21

* Sat Mar 26 2022 umeabot <umeabot> 4.2.1-2.mga9
+ Revision: 1827548
- Mageia 9 Mass Rebuild

* Fri Sep 04 2020 daviddavid <daviddavid> 4.2.1-1.mga8
+ Revision: 1621563
- Update to version 4.2.1
- Rebuilt for JDK-11

* Sun Feb 16 2020 umeabot <umeabot> 4.2-2.mga8
+ Revision: 1536312
- Mageia 8 Mass Rebuild

* Tue Oct 15 2019 daviddavid <daviddavid> 4.2-1.mga8
+ Revision: 1453848
- Update to version 4.2

* Mon Dec 03 2018 daviddavid <daviddavid> 4.0.0-1.mga7
+ Revision: 1337768
- new version: 4.0.0 (sync with fc29)

* Wed Sep 19 2018 umeabot <umeabot> 3.1.4-6.mga7
+ Revision: 1276330
- Mageia 7 Mass Rebuild
+ neoclust <neoclust>
- Second rebuild of the java stack

* Wed Feb 24 2016 neoclust <neoclust> 3.1.4-4.mga6
+ Revision: 978153
- First rebuild of the java stack
- sync package stax2-api with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.1.1-6.mga5
+ Revision: 749323
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Jun 08 2014 dmorgan <dmorgan> 3.1.1-4.mga5
+ Revision: 634660
- Build with xmvn

* Fri Oct 18 2013 umeabot <umeabot> 3.1.1-3.mga4
+ Revision: 519206
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 3.1.1-2.mga3
+ Revision: 383407
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 25 2011 dmorgan <dmorgan> 3.1.1-1.mga2
+ Revision: 187600
- imported package stax2-api


* Thu Sep 29 2011 Jaromir Capik <jcapik@redhat.com> - 3.1.1-2
- bea-stax has it's own depmap now -> removing the local one

* Tue Sep 13 2011 Jaromir Capik <jcapik@redhat.com> - 3.1.1-1
- Initial version
